Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513028 - Changing blivet imports in the install class
Summary: Changing blivet imports in the install class
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-productimg-atomic
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1513024
Blocks: 1513025
TreeView+ depends on / blocked
 
Reported: 2017-11-14 15:42 UTC by Vendula Poncova
Modified: 2018-02-20 15:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1513024
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1491287 None None None 2017-12-04 20:05:56 UTC

Description Vendula Poncova 2017-11-14 15:42:25 UTC
+++ This bug was initially created as a clone of Bug #1513024 +++

Hello,
your install class imports some of the modules that are moved from blivet to anaconda since anaconda-28.10 and blivet-3.0:

https://koji.fedoraproject.org/koji/buildinfo?buildID=997184
https://koji.fedoraproject.org/koji/buildinfo?buildID=997157

The install class needs to change these imports:

from blivet.partspec import PartSpec
from blivet.autopart import swap_suggestion
from blivet.platform import platform

Therefore, we would like to remind you of the following bugs, where we suggest moving the install classes to anaconda:

https://bugzilla.redhat.com/show_bug.cgi?id=1491241 (fedora-productimg-server)
https://bugzilla.redhat.com/show_bug.cgi?id=1491284 (fedora-productimg-workstation)
https://bugzilla.redhat.com/show_bug.cgi?id=1491285 (fedora-productimg-cloud)
https://bugzilla.redhat.com/show_bug.cgi?id=1491287 (fedora-productimg-atomic)

We are making significant changes to the installer backend, which will have a potentially disruptive impact on install classes in the future. Migrating them to anaconda now prevents some extra work and headaches for you in the future, since we will be able to adapt them to changes right away.

Comment 1 Colin Walters 2017-11-15 15:12:27 UTC
Big picture I think we are close the point where we could consolidate the install classes honestly.  At least Atomic,Cloud and Server.  

We could probably delete the fedora-productimg-cloud entirely right now.

Comment 2 Vendula Poncova 2017-11-21 11:49:15 UTC
Hi,
we would like to release a new version of anaconda tomorrow. Fedora Server install class was moved to anaconda and Fedora Cloud will not be fixed since it is going to be deleted, so Fedora Atomic is the last one that needs to be moved or fixed.

To fix the install class, you need to change the imports from:

from blivet.partspec import PartSpec
from blivet.autopart import swap_suggestion
from blivet.platform import platform

to:

from pyanaconda.storage.partspec import PartSpec
from pyanaconda.storage.autopart import swap_suggestion
from pyanaconda.platform import platform

This way, we can postpone the move until the classes are consolidated.

However, if you decide to move the install class, we will move it, fix it and add it to the new release. The consolidation can be done later in anaconda.

Anyway, the install class needs to be fixed.

Comment 3 Colin Walters 2017-11-21 13:43:11 UTC
I'm fine with either...does someone from Anaconda want to make the PR or I do it?

Comment 4 Vendula Poncova 2017-11-21 14:42:52 UTC
Ok, I will move the install class to anaconda, can you remove it from fedora-productimg-atomic, please?

Comment 5 Vendula Poncova 2017-11-21 16:07:33 UTC
Hi,
I am very sorry for the confusion, but the install class has to stay in fedora-productimg-atomic for now. I was testing my pull request and we are not able to detect that the product is Fedora Atomic, because the .buildstamp file defines the product only as Fedora (and not Fedora Atomic).

So, could you fix the install class in fedora-productimg-atomic and leave it there for now, please?

Comment 6 Martin Kolman 2017-11-27 14:15:45 UTC
It would be good if this can be solved ASAP as this is effectively blocking Anaconda builds in Rawhide, so more and more unreleased stuff is accumulating & less time will be available for Blivet 3.0 and other changes to mature in Rawhide before the F28 branching.

Comment 8 Fedora End Of Life 2018-02-20 15:33:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.


Note You need to log in before you can comment on or make changes to this bug.